From 002543f8f02a49251e9dc3342e399216cf05f1ce Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Marek=20Vavru=C5=A1a?= <marek.vavrusa@nic.cz>
Date: Tue, 13 Oct 2015 15:05:19 +0200
Subject: [PATCH] build: fixed lua embedding on NetBSD

thanks to johan ihren
---
 scripts/embed.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/embed.sh b/scripts/embed.sh
index 1f57b8741..043e74afd 100755
--- a/scripts/embed.sh
+++ b/scripts/embed.sh
@@ -1,8 +1,9 @@
 #!/bin/sh
 set -e
 alias strip="sed -e 's/^[    ]*//g; s/[ ][ ]*/ /g; /^--/d; /^$/d'"
-if hash xxd 2>/dev/null; then
+if command -v xxd > /dev/null 2>&1; then
 	xxd -i - < $1 | strip
 else
 	hexdump -v -e '/1 "0x%02X, " " "' < $1 | strip
 fi
+exit $?
-- 
GitLab